
.SILENT:

ROOT   = root
SRC    = $(ROOT)/src
EXEDIR = $(ROOT)/exe


EXEDIRS   = $(SRC)/dgeta  \
	    $(SRC)/dgavn   \
	    $(SRC)/dgeta_221_tile  \
	    $(SRC)/dgetacpt       \
	    $(SRC)/dgTQ062L028    \
	    $(SRC)/dglobal_cptec \
            $(SRC)/dgeta_reanl    \
	    $(SRC)/avn_wafs  

exe:
	@for dir in $(EXEDIRS) ; \
	  do \
	  echo " "; \
	  echo Making executable from directory $$dir ;\
	  (cd $$dir; \
	  $(MAKE) exe "EXEDIR=$(EXEDIR)"; if [ $$? != 0 ] ; then \
	      echo "Exit status from make was $$?" ; exit 1 ; fi ;) ;\
	done
